/**
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2004 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.console.gui;

import java.awt.Frame;
import java.awt.GraphicsConfiguration;
import java.awt.Window;

import javax.swing.JWindow;

/**
 * コンソールウィンドウ
 * 
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class ConsoleWindow extends JWindow {

	/**
	 * コンストラクタ
	 */
	public ConsoleWindow() {
		super();
		init();
	}

	/**
	 * @param owner
	 */
	public ConsoleWindow(Frame owner) {
		super(owner);
		init();
	}

	/**
	 * @param gc
	 */
	public ConsoleWindow(GraphicsConfiguration gc) {
		super(gc);
		init();
	}

	/**
	 * @param owner
	 */
	public ConsoleWindow(Window owner) {
		super(owner);
		init();
	}

	/**
	 * @param owner
	 * @param gc
	 */
	public ConsoleWindow(Window owner, GraphicsConfiguration gc) {
		super(owner, gc);
		init();
	}
	protected void init() {
		setEnabled(true);
		validate();
		setVisible(true);
		repaint();
		show();
	}
}
